HomeGuidesAPI Reference
API Reference

Create Branch

Create new Branch, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Create a new branch.


Endpoint

POST https://demo-api.edfapay.com/api/v1/branches


Request Body

FieldTypeRequiredDescription
nameStringYesBranch name
nameARStringYesArabic name
addressStringNoAddress
countryCodeStringYesCountry code
cityIdIntegerYesCity ID
activeBooleanYesStatus
parentBusinessUnitIdUUIDYesBusiness unit ID

Request Example

curl --location 'https://demo-api.edfapay.com/api/v1/branches' \
--header 'X-API-KEY: <Your API Key>' \
--header 'Content-Type: application/json' \
--data '{
  "name": "Test Branch",
  "nameAR": "فرع",
  "address": "Test Address",
  "countryCode": "818",
  "cityId": 8,
  "active": true,
  "parentBusinessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}'

Response Body

FieldTypeDescription
codeIntegerStatus
messageStringMessage
data.idUUIDCreated branch ID
data.nameStringBranch name
data.nameARStringArabic name
data.businessUnitIdUUIDBusiness unit
data.addressStringAddress
data.countryCodeStringCountry
data.cityIdIntegerCity
data.activeBooleanStatus

Response Example

{
  "code": 200,
  "message": "Success",
  "data": {
    "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "Test Branch",
    "nameAR": "فرع",
    "businessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "address": "Test Address",
    "countryCode": "818",
    "cityId": 8,
    "active": true
  }
}
Body Params
string
required
string
string
string
required
int32
boolean
uuid
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*